Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::IterateInitializer Class Referenceabstract

Base class for all methods for initializing the iterates. More...

`#include <IpIterateInitializer.hpp>`

Inheritance diagram for Ipopt::IterateInitializer:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject More...
virtual bool | SetInitialIterates ()=0
| Compute the initial iterates and set the into the curr field of the ip_data object. More...
Constructors/Destructors
| IterateInitializer ()
| Default Constructor. More...
virtual | ~IterateInitializer ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IterateInitializer (const IterateInitializer &)
| Copy Constructor. More...
void | operator= (const IterateInitializer &)
| Overloaded Equals Operator. More...

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Base class for all methods for initializing the iterates.

Definition at line 22 of file IpIterateInitializer.hpp.

## Constructor & Destructor Documentation

Ipopt::IterateInitializer::IterateInitializer | ( |  | ) |
| inline

Default Constructor.

Definition at line 28 of file IpIterateInitializer.hpp.

virtual Ipopt::IterateInitializer::~IterateInitializer | ( |  | ) |
| inline virtual

Default destructor.

Definition at line 32 of file IpIterateInitializer.hpp.

Ipopt::IterateInitializer::IterateInitializer | ( | const IterateInitializer & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::IterateInitializer::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| pure virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::DefaultIterateInitializer, Ipopt::RestoIterateInitializer, and Ipopt::WarmStartIterateInitializer.

virtual bool Ipopt::IterateInitializer::SetInitialIterates | ( |  | ) |
| pure virtual

Compute the initial iterates and set the into the curr field of the ip_data object.

Implemented in Ipopt::DefaultIterateInitializer, Ipopt::RestoIterateInitializer, and Ipopt::WarmStartIterateInitializer.

void Ipopt::IterateInitializer::operator= | ( | const IterateInitializer & |  | ) |
| private

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- src/Algorithm/IpIterateInitializer.hpp